import { FpDeckBase, FpDeckBaseDraft } from "./fp-deck-base";
import { FpPanel } from "./fp-panel";

export type FpHoistableDeck = FpDeckBase & {
  type: "hoistable";

  position: "lowered" | "partly_hoisted" | "fully_hoisted"; // We should never really have a deck set to "hoisted" in our DB as if it's fully hoisted, then it isn't getting fumigatd, thus not getting configured by the user who sets the fumigation plan

  panels: FpPanel[];
};


export type FpHoistableDeckDraft = FpDeckBaseDraft & {
  type: "hoistable";

  position: "lowered" | "partly_hoisted" | "fully_hoisted"; // We should never really have a deck set to "hoisted" in our DB as if it's fully hoisted, then it isn't getting fumigatd, thus not getting configured by the user who sets the fumigation plan

  panels: FpPanel[];
};
