import { Point } from "../../../geometry/point";

export type FpHrMonitorSpot = {
  _id: string;

  // If this device point is associate with any panel then this is the panel id
  panel_id: string;

  // The coordinates of this device point
  coords: Point;

  // If a physical device is assigned to this designated device point then this is the serial id if the physical device
  serial_number?: string;
};
export type FpHrMonitorSpotDraft = Omit<FpHrMonitorSpot, "_id" | "panel_id"> & {
  _id?: string;

  panel_id?: string;
};
