import { OjHose } from "./oj-hose";
import { OjZone } from "./oj-zone";
import { OjCargoVent } from "./vents/oj-cargo-vent";
import { OjWeatherDeck } from "./vents/oj-weather-deck";

export type OjFumigationPlan = {
  // All the zones in the vessel, not necessarily the ones getting fumigated
  zones: OjZone[];

  // The weather deck setup
  weather_deck: OjWeatherDeck;

  // The seetup for all the cargo vents
  cargo_vents: OjCargoVent[];

  // All the hoses used in the fumigation
  hoses: OjHose[];
};
