import { FpRecirculationFanSpot, FpRecirculationFanSpotDraft } from './fp-recirculation-fan-spot';
import { RecirculationFansStation } from '../../../typeclass/devices/recirculation-fans-station';


export type FpRecirculationFansStation = Omit<
  RecirculationFansStation,
  "spots"
> & {
  // An array of all devices on this point
  spots: FpRecirculationFanSpot[];

  // Is this point utilized
  is_utilized: boolean;
};

export type FpRecirculationFansStationDraft = Omit<
  FpRecirculationFansStation,
  "spots"
> & {
  spots: FpRecirculationFanSpotDraft[];
};
