import { MonitorReading } from '../monitor-reading';


export type OngoingJobState = {
  current_cycle_start: number | null;
  read_cycles: { cycle_key: string; readings: MonitorReading[] }[];
  ct_cycles: { cycle_key: string; values: { [zone_id: string]: number } }[];
  equilibrium_state?: {
    [zone_id: string]:
      | "failed"
      | "success"
      | "requires-approval"
      | "requires-fixing"
      | "requires-ignore-or-replace";
  };
};
