export type Vessel = {
  // Unique vessel id
  _id: string;

  // An identifabe name for this vessel instance
  name: string;

  // The typeclass of this vessel
  typeclass_id: string;

  // The id of the company this vessel belongs to
  company_id: string;
};

export type VesselDraft = Omit<Vessel, "_id">;
